# challengeone

![Screenshot](/images/screenshot.png)

(*FIXME: In one or two paragraphs, describe what the extension does and why one would download it. *)

The extension is licensed under [AGPL-3.0](LICENSE.txt).

## Requirements

* PHP v7.4+
* CiviCRM (*FIXME: Version number*)

## Installation (Web UI)

Learn more about installing CiviCRM extensions in the [CiviCRM Sysadmin Guide](https://docs.civicrm.org/sysadmin/en/latest/customize/extensions/).

## Installation (CLI, Zip)

Sysadmins and developers may download the `.zip` file for this extension and
install it with the command-line tool [cv](https://github.com/civicrm/cv).

```bash
cd <extension-dir>
cv dl challengeone@https://github.com/FIXME/challengeone/archive/master.zip
```
or
```bash
cd <extension-dir>
cv dl challengeone@https://lab.civicrm.org/extensions/challengeone/-/archive/main/challengeone-main.zip
```

## Installation (CLI, Git)

Sysadmins and developers may clone the [Git](https://en.wikipedia.org/wiki/Git) repo for this extension and
install it with the command-line tool [cv](https://github.com/civicrm/cv).

```bash
git clone https://github.com/FIXME/challengeone.git
cv en challengeone
```
or
```bash
git clone https://lab.civicrm.org/extensions/challengeone.git
cv en challengeone
```

## Unit Testing

```bash
cd CRM/Challengeone

phpunit test_challengeone_processing.php
phpunit test_challengeone_string_utils.php

```

## Getting Started

(* FIXME: Where would a new user navigate to get started? What changes would they see? *)

## Known Issues

- upon first editing a contact in civicrm, the count is always +1 higher than any subsequent edit of the same contact
